import javax.ejb.Stateless;

import org.jboss.seam.annotations.bpm.BeginTask;
import org.jboss.seam.annotations.bpm.CreateProcess;
import org.jboss.seam.annotations.bpm.EndTask;
import org.jboss.seam.annotations.Name;

@Stateless
@Name("ticketSystem")
public class TicketSystemAction implements TicketSystem {
	
  @CreateProcess(definition="TicketProcess")
  public String newTicket() {
      return "home";
  }

  @BeginTask
  public String reply() {
    return "reply";
  }

  @EndTask
  public String sendAnswer() {
      System.out.println("Answered");
    return "home";
  }

}
