
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>

<html>
<body>
<f:view>

<f:verbatim>
<h2>Seam Hello World</h2>
</f:verbatim>

<h:form>
<f:verbatim>
Please enter your name:<br/>
</f:verbatim>

<h:inputText value="#{person.name}" size="15"/><br/>
<h:commandButton type="submit" value="Say Hello"
                 action="#{manager.sayHello}"/>
</h:form>

<f:subview id="fans"
           rendered="#{!empty(fans)}">
<f:verbatim>
<p>The following fans have said "hello" to JBoss Seam:</p>
</f:verbatim>

<h:dataTable value="#{fans}" var="fan">
  <h:column>
    <h:outputText value="#{fan.name}"/>
  </h:column>
</h:dataTable>
</f:subview>

</f:view>
</body>
</html>
