import java.io.Serializable;

import org.jboss.seam.ScopeType;
import org.jboss.seam.annotations.intercept.Interceptor;
import org.jboss.seam.annotations.intercept.InterceptorType;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Scope;

@Name("ticket")
// @Interceptor(InterceptorType.NEVER)
@Scope(ScopeType.BUSINESS_PROCESS)
public class Ticket implements Serializable {

	private static final long serialVersionUID = -3083451554931649923L;

	private String title;
	
	private String content;
	
	private String answer;
	
	public String getContent() {
		return content;
	}
	
	public void setContent(String content) {
		this.content = content;
	}
	
	public String getTitle() {
		return title;
	}
	
	public void setTitle(String title) {
		this.title = title;
	}

	public String getAnswer() {
		return answer;
	}

	public void setAnswer(String answer) {
		this.answer = answer;
	}	
}
